--[[
Every tasks should be in it's own file. Check out the example.lua for a sample task.
]]

tasks = {}
tasks.player_config = {}

--Helper functions/tools
dofile(minetest.get_modpath('tasks')..'/functions.lua')
dofile(minetest.get_modpath('tasks')..'/configurator.lua')
dofile(minetest.get_modpath('tasks')..'/items.lua')
dofile(minetest.get_modpath('tasks')..'/storage_locker.lua')

--Actual tasks
dofile(minetest.get_modpath('tasks')..'/campfire.lua')
dofile(minetest.get_modpath('tasks')..'/code.lua')
dofile(minetest.get_modpath('tasks')..'/engine_0.lua')
dofile(minetest.get_modpath('tasks')..'/engine_1.lua')
dofile(minetest.get_modpath('tasks')..'/example.lua')
dofile(minetest.get_modpath('tasks')..'/forcefield_gen.lua')
dofile(minetest.get_modpath('tasks')..'/match.lua')
dofile(minetest.get_modpath('tasks')..'/printing_press.lua')
dofile(minetest.get_modpath('tasks')..'/radio_dish.lua')
dofile(minetest.get_modpath('tasks')..'/rubbish.lua')
dofile(minetest.get_modpath('tasks')..'/smoke_detector.lua')
dofile(minetest.get_modpath('tasks')..'/transformer.lua')
